[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: CD sizes again (and BoF reminder!)

On Sat, 2012-07-07 at 16:14 +0200, Bastian Blank wrote:
> On Sat, Jul 07, 2012 at 02:34:44PM +0100, Steve McIntyre wrote:
> > The list posted there is the full sorted list of *all* packages, as
> > applied to the full set of CDs. The last one on CD#1 is
> > gnome-packagekit-data, as I said, and I don't see any debug packages
> > above that in the list.
> Ups, I did the wrong check.
> Anyway, some remarks:
> - aptitude: can be downgraded from standard
> - gcc-4.[56]-base
> - python2.6: 2.7 is already there
> - loop-aes-utils: loop-aes is not supported
> - grub-legacy
> - build-essential, linux-kbuild-3.2, kernel-package: development stuff
> - module-assistant: deprecated for dkms
> - localepurge
> - pump
> This is all before X.

I agree with all the above.

More stuff unlikely to be needed on a desktop:

- ftp, telnet: mostly redundant with wget and nc, unless you really like
cleartext authentication
- tcpd: server
- procmail: server
- module-init-tools: transitional package
- pcmciautils: PCMCIA is dead
- jfsutils, reiserfsprogs, ufsutils: obscure
- openssh-server: server, not desktop
- sharutils: obscure; we've had MIME for 20 years
- fakeroot, autopoint: more development
- deborphan, debfoster: obscure
- mtools: obscure; FAT volumes are auto-mounted
- twm: no-one should have to suffer this
- discover, mdetect: I think these are pretty much obsolete, but could
be wrong
- linux-sound-base, alsa-base, alsa-utils: rarely needed AFAIK


Ben Hutchings
When in doubt, use brute force. - Ken Thompson

Attachment: signature.asc
Description: This is a digitally signed message part

Reply to: